PublishPipeline
Transitions DRAFT → PUBLISHED, bumps version, creates a PipelineSnapshot. Idempotent on already-PUBLISHED pipelines (no-op + returns current snapshot).
AuthorizationBearer <token>
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
id?string
Format
uuid[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.PipelineAdminService/PublishPipeline" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"pipeline": {
"id": "string",
"integrationId": "string",
"contentTypeUrn": "string",
"resourceKind": "PIPELINE_RESOURCE_KIND_UNSPECIFIED",
"version": 0,
"status": "PIPELINE_STATUS_UNSPECIFIED",
"steps": [
{
"stepId": "string",
"kind": "PIPELINE_STEP_KIND_UNSPECIFIED",
"exec": {
"ref": "string",
"inputs": {
"property1": "string",
"property2": "string"
},
"configJson": "string",
"outputs": [
{
"slot": "string",
"required": true,
"blob": {
"name": "string",
"mimeHint": "string",
"maxSizeBytes": 0
}
}
],
"secrets": [
{
"name": "string",
"from": "string"
}
]
}
}
],
"policy": {
"maxRetriesPerStep": 5,
"stepTimeoutSec": 1,
"pipelineTimeoutSec": 0
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"publishedAt": "2023-01-15T01:30:15.01Z"
},
"snapshot": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd",
"pipelineVersion": 0,
"pipeline": {
"id": "string",
"integrationId": "string",
"contentTypeUrn": "string",
"resourceKind": "PIPELINE_RESOURCE_KIND_UNSPECIFIED",
"version": 0,
"status": "PIPELINE_STATUS_UNSPECIFIED",
"steps": [
{
"stepId": "string",
"kind": "PIPELINE_STEP_KIND_UNSPECIFIED",
"exec": {
"ref": "string",
"inputs": {
"property1": "string",
"property2": "string"
},
"configJson": "string",
"outputs": [
{
"slot": "string",
"required": true,
"blob": {
"name": "string",
"mimeHint": "string",
"maxSizeBytes": 0
}
}
],
"secrets": [
{
"name": "string",
"from": "string"
}
]
}
}
],
"policy": {
"maxRetriesPerStep": 5,
"stepTimeoutSec": 1,
"pipelineTimeoutSec": 0
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"publishedAt": "2023-01-15T01:30:15.01Z"
},
"stepManifests": {
"property1": {
"name": "string",
"version": "string",
"kind": "PIPELINE_STEP_KIND_UNSPECIFIED",
"kinds": [
"PIPELINE_RESOURCE_KIND_UNSPECIFIED"
],
"inputs": [
{
"name": "string",
"schemaJson": "string",
"required": true,
"isBlob": true
}
],
"outputs": {
"blobs": [
{
"name": "string",
"required": true,
"envelopeSchemaJson": "string",
"mimeHint": "string",
"maxSizeBytes": 0
}
],
"kv": [
{
"name": "string",
"required": true,
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED"
}
],
"locals": [
{
"name": "string",
"required": true,
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED"
}
],
"localBlobs": [
{
"name": "string",
"required": true,
"mimeHint": "string"
}
]
},
"requiredSecrets": [
"string"
],
"configSchemaJson": "string",
"runtimeVersion": "string",
"description": "string",
"readmeMd": "string",
"rendererRef": {
"archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b",
"contentTypeUrn": "string",
"entry": "string"
},
"exec": {
"image": "string",
"imageDigest": "string",
"command": [
"string"
],
"args": [
"string"
]
},
"bundleSha256": "string"
},
"property2": {
"name": "string",
"version": "string",
"kind": "PIPELINE_STEP_KIND_UNSPECIFIED",
"kinds": [
"PIPELINE_RESOURCE_KIND_UNSPECIFIED"
],
"inputs": [
{
"name": "string",
"schemaJson": "string",
"required": true,
"isBlob": true
}
],
"outputs": {
"blobs": [
{
"name": "string",
"required": true,
"envelopeSchemaJson": "string",
"mimeHint": "string",
"maxSizeBytes": 0
}
],
"kv": [
{
"name": "string",
"required": true,
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED"
}
],
"locals": [
{
"name": "string",
"required": true,
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED"
}
],
"localBlobs": [
{
"name": "string",
"required": true,
"mimeHint": "string"
}
]
},
"requiredSecrets": [
"string"
],
"configSchemaJson": "string",
"runtimeVersion": "string",
"description": "string",
"readmeMd": "string",
"rendererRef": {
"archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b",
"contentTypeUrn": "string",
"entry": "string"
},
"exec": {
"image": "string",
"imageDigest": "string",
"command": [
"string"
],
"args": [
"string"
]
},
"bundleSha256": "string"
}
},
"createdAt": "2023-01-15T01:30:15.01Z"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}